Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Official thread: "zen-sources" - Part V
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 10, 11, 12 ... 21, 22, 23  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
ponciarello
Apprentice
Apprentice


Joined: 22 Jul 2008
Posts: 223
Location: beach of slack

PostPosted: Wed Oct 08, 2008 6:28 pm    Post subject: Reply with quote

i use it also on a machine with 512Mb and it's faster than using hd swap :D

but i think we are OT :?
Back to top
View user's profile Send private message
mroconnor
Guru
Guru


Joined: 24 Feb 2006
Posts: 402
Location: USA

PostPosted: Wed Oct 08, 2008 6:30 pm    Post subject: Reply with quote

agreed about being OT.

Thanks for the info.
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Wed Oct 08, 2008 7:53 pm    Post subject: Reply with quote

You fooz, zen0 essentially means it isn't finished yet.

i was aware of the compile issues, it doesn't go past zen0 until i compile it with an allyesconfig.

Which has been done, and i found and resolved numerous errors, one in small-fixes branch (revert), numerous in madwifi branch, and one in wireless-testing.

Now has the zen1 tag ;)

edit:
typo
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.


Last edited by cheater1034 on Wed Oct 08, 2008 8:11 pm; edited 1 time in total
Back to top
View user's profile Send private message
mroconnor
Guru
Guru


Joined: 24 Feb 2006
Posts: 402
Location: USA

PostPosted: Wed Oct 08, 2008 7:55 pm    Post subject: Reply with quote

@cheater: I pulled late last night and then again this AM. After my pull last night I knew you were still working on it.
Thanks for all the work.

-M
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Wed Oct 08, 2008 11:04 pm    Post subject: Reply with quote

madwifi's still broken ?

Quote:
CC [M] drivers/net/de620.o
CC [M] drivers/net/8139cp.o
drivers/net/wireless/madwifi/net80211/ieee80211_scan.c: In function ‘scan_next’:
drivers/net/wireless/madwifi/net80211/ieee80211_scan.c:711: warning: pointer targets in passing argument 5 of ‘ieee80211_send_probereq’ differ in signedness
drivers/net/macvlan.c: In function ‘macvlan_set_mac_address’:
drivers/net/macvlan.c:231: warning: pointer targets in passing argument 1 of ‘is_valid_ether_addr’ differ in signedness
CC [M] drivers/net/wireless/madwifi/net80211/ieee80211_rate.o
CC [M] drivers/net/8139too.o
CC [M] drivers/net/wireless/madwifi/net80211/ieee80211_skb.o
CC [M] drivers/net/atp.o
drivers/net/de600.c: In function ‘__check_de600_debug’:
drivers/net/de600.c:71: warning: pointer targets in return differ in signedness
drivers/net/de600.c: In function ‘__check_check_lost’:
drivers/net/de600.c:75: warning: pointer targets in return differ in signedness
drivers/net/de600.c: In function ‘__check_delay_time’:
drivers/net/de600.c:79: warning: pointer targets in return differ in signedness
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c: In function ‘encode_ie’:
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c:1765: warning: pointer targets in passing argument 1 of ‘sprintf’ differ in signedness
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c: In function ‘ieee80211_ioctl_addmac’:
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c:3897: warning: pointer targets in passing argument 2 of ‘acl->iac_add’ differ in signedness
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c: In function ‘ieee80211_ioctl_delmac’:
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c:3915: warning: pointer targets in passing argument 2 of ‘acl->iac_remove’ differ in signedness
drivers/net/de620.c: In function ‘__check_de620_debug’:
drivers/net/de620.c:198: warning: pointer targets in return differ in signedness
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c: In function ‘ieee80211_ioctl_siwencodeext’:
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c:5191: warning: pointer targets in assignment differ in signedness
make[3]: *** [drivers/net/wireless/ath9k] Error 2
CC [M] drivers/net/wireless/madwifi/net80211/ieee80211_acl.o
make[3]: *** Waiting for unfinished jobs....
drivers/net/wireless/madwifi/net80211/ieee80211_monitor.c: In function ‘ieee80211_input_monitor’:
drivers/net/wireless/madwifi/net80211/ieee80211_monitor.c:404: warning: pointer targets in passing argument 1 of ‘strncpy’ differ in signedness


thanks for your work

update:

ok, to be more precise it's the ath9k module
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Thu Oct 09, 2008 2:55 am    Post subject: Reply with quote

kernelOfTruth wrote:
madwifi's still broken ?

Quote:
CC [M] drivers/net/de620.o
CC [M] drivers/net/8139cp.o
drivers/net/wireless/madwifi/net80211/ieee80211_scan.c: In function ‘scan_next’:
drivers/net/wireless/madwifi/net80211/ieee80211_scan.c:711: warning: pointer targets in passing argument 5 of ‘ieee80211_send_probereq’ differ in signedness
drivers/net/macvlan.c: In function ‘macvlan_set_mac_address’:
drivers/net/macvlan.c:231: warning: pointer targets in passing argument 1 of ‘is_valid_ether_addr’ differ in signedness
CC [M] drivers/net/wireless/madwifi/net80211/ieee80211_rate.o
CC [M] drivers/net/8139too.o
CC [M] drivers/net/wireless/madwifi/net80211/ieee80211_skb.o
CC [M] drivers/net/atp.o
drivers/net/de600.c: In function ‘__check_de600_debug’:
drivers/net/de600.c:71: warning: pointer targets in return differ in signedness
drivers/net/de600.c: In function ‘__check_check_lost’:
drivers/net/de600.c:75: warning: pointer targets in return differ in signedness
drivers/net/de600.c: In function ‘__check_delay_time’:
drivers/net/de600.c:79: warning: pointer targets in return differ in signedness
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c: In function ‘encode_ie’:
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c:1765: warning: pointer targets in passing argument 1 of ‘sprintf’ differ in signedness
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c: In function ‘ieee80211_ioctl_addmac’:
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c:3897: warning: pointer targets in passing argument 2 of ‘acl->iac_add’ differ in signedness
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c: In function ‘ieee80211_ioctl_delmac’:
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c:3915: warning: pointer targets in passing argument 2 of ‘acl->iac_remove’ differ in signedness
drivers/net/de620.c: In function ‘__check_de620_debug’:
drivers/net/de620.c:198: warning: pointer targets in return differ in signedness
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c: In function ‘ieee80211_ioctl_siwencodeext’:
drivers/net/wireless/madwifi/net80211/ieee80211_wireless.c:5191: warning: pointer targets in assignment differ in signedness
make[3]: *** [drivers/net/wireless/ath9k] Error 2
CC [M] drivers/net/wireless/madwifi/net80211/ieee80211_acl.o
make[3]: *** Waiting for unfinished jobs....
drivers/net/wireless/madwifi/net80211/ieee80211_monitor.c: In function ‘ieee80211_input_monitor’:
drivers/net/wireless/madwifi/net80211/ieee80211_monitor.c:404: warning: pointer targets in passing argument 1 of ‘strncpy’ differ in signedness


thanks for your work

update:

ok, to be more precise it's the ath9k module


don't run with any make options, just do make and then show me the error. It looks like you ran with -j3 or -j100 or some crazy shit and i have no idea just don't use any make opts, just run make.

thanks
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
rmh3093
Advocate
Advocate


Joined: 06 Aug 2003
Posts: 2138
Location: Albany, NY

PostPosted: Thu Oct 09, 2008 11:36 pm    Post subject: Reply with quote

cheater1034 wrote:
Civil wrote:
Thanks for your hard work. Your patchset is great. But I'm wonder, if this patch will be ever included? (support for cpufreqd to change cpu speed on Celeron M 5xx via p4-clockmod)


Patch is in latest pull.


doodie-pop
_________________
Do not meddle in the affairs of wizards, for they are subtle and quick to anger.
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1160

PostPosted: Fri Oct 10, 2008 4:47 pm    Post subject: Reply with quote

CC [M] drivers/media/dvb/bt8xx/dst_ca.o
scripts/Makefile.build:41: /usr/src/zen-sources/drivers/media/dvb/cinergyT2/Makefile: No such file or directory
make[4]: *** No rule to make target `/usr/src/zen-sources/drivers/media/dvb/cinergyT2/Makefile'. Stop.

errors with latest git pull.
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Fri Oct 10, 2008 7:27 pm    Post subject: Reply with quote

tranquilcool wrote:
CC [M] drivers/media/dvb/bt8xx/dst_ca.o
scripts/Makefile.build:41: /usr/src/zen-sources/drivers/media/dvb/cinergyT2/Makefile: No such file or directory
make[4]: *** No rule to make target `/usr/src/zen-sources/drivers/media/dvb/cinergyT2/Makefile'. Stop.

errors with latest git pull.


Quote:
commit cae830d3d8773a810122cf252659818b131ca55c
Author: Miguel Bot<C3><B3>n <email protected>
Date: Fri Oct 10 15:53:37 2008 +0200

v2.6.27-zen0

Do not expect everything to compile correctl


Don't use the latest "testing" + "experimental" + "new" kernel available all the time if you want things to compile. Use the last safe tag, which is not a zen0 tag.
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
martin.k
Guru
Guru


Joined: 28 Nov 2004
Posts: 493
Location: Wylatowo, Polska

PostPosted: Fri Oct 10, 2008 7:30 pm    Post subject: Reply with quote

Code:
Linux gentoobox 2.6.27-zen0 #2 PREEMPT Fri Oct 10 21:06:42 CEST 2008 i686 AMD Athlon(tm) XP 2400+ AuthenticAMD GNU/Linux

Runs smooooth here :)
Thank you for your great job !
_________________
linux-2.6.17 +ck +R4 +lockless +genetic-as +... więcej nie pamiętam :)
LRU #299256
Back to top
View user's profile Send private message
mroconnor
Guru
Guru


Joined: 24 Feb 2006
Posts: 402
Location: USA

PostPosted: Fri Oct 10, 2008 7:34 pm    Post subject: Reply with quote

I think someone covered this before but why does my kernel always look like:
Code:

Linux cosmo 2.6.27-rc9-zen1-04097-g371f8c2


and not
Code:

Linux cosmo 2.6.27-rc9-zen1-04097
Back to top
View user's profile Send private message
termite
Guru
Guru


Joined: 06 May 2007
Posts: 466

PostPosted: Fri Oct 10, 2008 8:51 pm    Post subject: Reply with quote

any chance of getting the latest rc in the overlay?
Back to top
View user's profile Send private message
mieszkoslusarczyk
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jul 2008
Posts: 92
Location: Kraków/Poland

PostPosted: Sat Oct 11, 2008 12:41 am    Post subject: Reply with quote

Why RC, when there is already final 2.6.27?
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Sat Oct 11, 2008 6:02 am    Post subject: Reply with quote

the v4l-dvb is really screwed up in the git tree. I'm still trying to figure out wankiniko did ;)

mroconnor: disable "Append kernel name and *******" in general settings. (i forgot the name of the actual setting, but it's near the top)
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
Bumbl
n00b
n00b


Joined: 05 Sep 2007
Posts: 50

PostPosted: Sat Oct 11, 2008 9:21 am    Post subject: Reply with quote

on a laptop with a core 2 duo t7200 and 2gigs of ram
which would be the better kernel to use?
the rt or the normal one?
Back to top
View user's profile Send private message
mieszkoslusarczyk
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jul 2008
Posts: 92
Location: Kraków/Poland

PostPosted: Sat Oct 11, 2008 9:26 am    Post subject: Reply with quote

Depends on what you plan to do.
For everyday use try normal kernel ;)
Back to top
View user's profile Send private message
Bumbl
n00b
n00b


Joined: 05 Sep 2007
Posts: 50

PostPosted: Sat Oct 11, 2008 9:40 am    Post subject: Reply with quote

so what are the advantages of a realtimekernel then?
Back to top
View user's profile Send private message
mieszkoslusarczyk
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jul 2008
Posts: 92
Location: Kraków/Poland

PostPosted: Sat Oct 11, 2008 10:21 am    Post subject: Reply with quote

People use it for music production, as it has low latency times I think.
But I cannot remind myself of what could be other purposes for using it.
Normally you should try zen, or zenmm.

====EDIT

What's wrong with zenmm?

MANY thinks aren't working, most important of them for me is squashfs:
Code:
 CC [M]  fs/squashfs/inode.o
fs/squashfs/inode.c: In function ‘squashfs_get_parent’:
fs/squashfs/inode.c:619: error: implicit declaration of function ‘d_alloc_anon’
fs/squashfs/inode.c:619: warning: assignment makes pointer from integer without a cast
Back to top
View user's profile Send private message
mroconnor
Guru
Guru


Joined: 24 Feb 2006
Posts: 402
Location: USA

PostPosted: Sat Oct 11, 2008 12:15 pm    Post subject: Reply with quote

Thanks @cheater. Now that rethink it, I think having the full kernel appended is a good idea.
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Sat Oct 11, 2008 2:02 pm    Post subject: Reply with quote

mieszkoslusarczyk wrote:
People use it for music production, as it has low latency times I think.
But I cannot remind myself of what could be other purposes for using it.
Normally you should try zen, or zenmm.

====EDIT

What's wrong with zenmm?

MANY thinks aren't working, most important of them for me is squashfs:
Code:
 CC [M]  fs/squashfs/inode.o
fs/squashfs/inode.c: In function ‘squashfs_get_parent’:
fs/squashfs/inode.c:619: error: implicit declaration of function ‘d_alloc_anon’
fs/squashfs/inode.c:619: warning: assignment makes pointer from integer without a cast


i haven't touched zenmm in a loooong time. But it's mm, there is never a release that will be made of zenmm where everything works.

that squashfs error is however a relatively simple one though ;) i'll see that it gets fixed.
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
mieszkoslusarczyk
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jul 2008
Posts: 92
Location: Kraków/Poland

PostPosted: Sat Oct 11, 2008 2:18 pm    Post subject: Reply with quote

There were few things that didn't work.
I think the others were btrfs ext4 and one of the schedulers (I think bfq).

====EDIT

Maybe you could add
https://forums.gentoo.org/viewtopic-t-703953-start-0-postdays-0-postorder-asc-highlight-.html
to zen-ovrlay?

====EDIT2
On zenmm:

Code:
CC [M]  fs/btrfs-stable/inode.o
fs/btrfs-stable/inode.c: In function ‘btrfs_new_inode’:
fs/btrfs-stable/inode.c:1769: error: ‘struct task_struct’ has no member named ‘fsuid’
fs/btrfs-stable/inode.c:1770: error: ‘struct task_struct’ has no member named ‘fsgid’


Code:
CC [M]  fs/btrfs-stable/inode-map.o
block/bfq-iosched.c: In function ‘bfq_schedule_dispatch’:
block/bfq-iosched.c:258: warning: passing argument 1 of ‘kblockd_schedule_work’ from incompatible pointer type
block/bfq-iosched.c:258: error: too few arguments to function ‘kblockd_schedule_work’
Back to top
View user's profile Send private message
post-factum
n00b
n00b


Joined: 19 Aug 2007
Posts: 14
Location: /ukraine/novi sanzhary

PostPosted: Sun Oct 12, 2008 6:58 pm    Post subject: Reply with quote

http://nebula.pl.ua/users/post-factum/2.6.27-zen1.patch.bz2
Back to top
View user's profile Send private message
mieszkoslusarczyk
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jul 2008
Posts: 92
Location: Kraków/Poland

PostPosted: Tue Oct 14, 2008 6:13 pm    Post subject: Reply with quote

Your overlay is rather brokennn...before before every emerge (when it calculates deps) I get:
Code:
These are the packages that would be merged, in order:

Calculating dependencies - * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-assistant-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-assistant/qt-assistant-4.4.2.ebuild'
 * qt-assistant-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 | * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-core-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-core/qt-core-4.4.2.ebuild'
 * qt-core-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 | * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-sql-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-sql/qt-sql-4.4.2.ebuild'
 * qt-sql-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 \ * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-webkit-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-webkit/qt-webkit-4.4.2.ebuild'
 * qt-webkit-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 \ * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-test-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-test/qt-test-4.4.2.ebuild'
 * qt-test-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 / * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-xmlpatterns-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.4.2.ebuild'
 * qt-xmlpatterns-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 \ * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-opengl-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-opengl/qt-opengl-4.4.2.ebuild'
 * qt-opengl-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 - * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-svg-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-svg/qt-svg-4.4.2.ebuild'
 * qt-svg-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 | * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-qt3support-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-qt3support/qt-qt3support-4.4.2.ebuild'
 * qt-qt3support-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 / * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-dbus-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-dbus/qt-dbus-4.4.2.ebuild'
 * qt-dbus-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 | * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-script-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-script/qt-script-4.4.2.ebuild'
 * qt-script-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *


and when I try to run any qt application I get:
Code:
Cannot mix incompatible Qt libraries

After falling back to ebuilds from portage everything works.
Please fix those ebuilds or remove them.
Back to top
View user's profile Send private message
mantoo
Tux's lil' helper
Tux's lil' helper


Joined: 08 Dec 2007
Posts: 98
Location: Germany

PostPosted: Thu Oct 16, 2008 10:27 pm    Post subject: Reply with quote

mieszkoslusarczyk wrote:
Your overlay is rather brokennn...before before every emerge (when it calculates deps) I get:
Code:
These are the packages that would be merged, in order:

Calculating dependencies - * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-assistant-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-assistant/qt-assistant-4.4.2.ebuild'
 * qt-assistant-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 | * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-core-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-core/qt-core-4.4.2.ebuild'
 * qt-core-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 | * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-sql-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-sql/qt-sql-4.4.2.ebuild'
 * qt-sql-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 \ * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-webkit-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-webkit/qt-webkit-4.4.2.ebuild'
 * qt-webkit-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 \ * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-test-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-test/qt-test-4.4.2.ebuild'
 * qt-test-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 / * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-xmlpatterns-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-xmlpatterns/qt-xmlpatterns-4.4.2.ebuild'
 * qt-xmlpatterns-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 \ * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-opengl-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-opengl/qt-opengl-4.4.2.ebuild'
 * qt-opengl-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 - * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-svg-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-svg/qt-svg-4.4.2.ebuild'
 * qt-svg-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 | * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-qt3support-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-qt3support/qt-qt3support-4.4.2.ebuild'
 * qt-qt3support-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 / * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-dbus-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-dbus/qt-dbus-4.4.2.ebuild'
 * qt-dbus-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *
 | * Version 4.4.2 does not have patchset defined in the qt4-qt-copy eclass!
 *
 * ERROR: x11-libs/qt-script-4.4.2 failed.
 * Call stack:
 * ebuild.sh, line 1881:  Called source '/usr/local/portage/layman/THE/x11-libs/qt-script/qt-script-4.4.2.ebuild'
 * qt-script-4.4.2.ebuild, line    6:  Called inherit 'qt4-qt-copy'
 * ebuild.sh, line 1243:  Called qa_source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * ebuild.sh, line   37:  Called source '/usr/local/portage/layman/soor-overlay/eclass/qt4-qt-copy.eclass'
 * qt4-qt-copy.eclass, line   28:  Called die
 * The specific snippet of code:
 * die "Unsupported version for patchset, something screwed up bad, boss."
 * The die message:
 * Unsupported version for patchset, something screwed up bad, boss.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * This ebuild is from an overlay: '/usr/local/portage/layman/THE/'
 *


and when I try to run any qt application I get:
Code:
Cannot mix incompatible Qt libraries

After falling back to ebuilds from portage everything works.
Please fix those ebuilds or remove them.


today i did an
Code:
equery -q l qt


and remerged the listed packages. that fixed the 'mixed qt library'-issue for me. i updated zen-overlay before that...
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Fri Oct 17, 2008 2:28 am    Post subject: Reply with quote

the "cannot mix qt libraries" is now fixed in THE overlay, you would be looking for the new eclass which includes patch version 1.1 (For qt 4.4.1 and 4.4.2)

The above 4.4.0_rc1 issue has also been settled ;) (not really an issue, just conflicting overlay)
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 10, 11, 12 ... 21, 22, 23  Next
Page 11 of 23

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum